﻿html,
body,
#viewDiv {
    padding: 0;
    margin: 0;
    height: 100%;
    width: 100%;
    font-family: "Avenir Next", "Helvetica Neue", Helvetica, Arial, sans-serif;
    font-size: 14px;
    font-weight: 400;
}

#infoDiv {
    background: white;
    padding: 10px;
}

/* Style buttons */
.btn {
    background-color: DodgerBlue; /* Blue background */
    border: none; /* Remove borders */
    color: white; /* White text */
    padding: .7em .7em; /* Some padding */
    cursor: pointer; /* Mouse pointer on hover */
}

/* Style buttons */
.btn-red {
    background-color: #e41018; /* Blue background */
    border: none; /* Remove borders */
    color: white; /* White text */
    padding: .7em .7em; /* Some padding */
    cursor: pointer; /* Mouse pointer on hover */
}

    .btn-red:disabled {
        background-color: grey; /* Blue background */
        border: none; /* Remove borders */
        color: white; /* White text */
        padding: .7em .7em; /* Some padding */
        cursor: not-allowed; /* Mouse pointer on hover */
    }

/* Darker background on mouse-over */
.btn:hover {
    background-color: RoyalBlue;
}

.myButton {
    box-shadow: inset 0px 1px 0px 0px #ffffff;
    background: linear-gradient(to bottom, #ffffff 5%, #f6f6f6 100%);
    background-color: #ffffff;
    border-radius: 6px;
    border: 1px solid #dcdcdc;
    display: inline-block;
    cursor: pointer;
    color: #666666;
    padding: 6px 24px;
    text-decoration: none;
    text-shadow: 0px 1px 0px #ffffff;
    width: 90%;
}

    .myButton:hover {
        background: linear-gradient(to bottom, #f6f6f6 5%, #ffffff 100%);
        background-color: #f6f6f6;
    }

    .myButton:active {
        position: relative;
        top: 1px;
    }

#outputMessages {
    position: absolute;
    z-index: 70;
    top: 40px;
    right: 0;
    bottom: 0;
    box-sizing: border-box;
    padding: 10px;
    height: 95%;
    width: 350px;
    background: #f6f6f6;
    /*                rgba(0, 0, 0, 0.7);*/
    color: white;
    line-height: 30px;
    overflow: auto;
}

    #outputMessages span {
        color: #f6f6f6;
        /*#f7be81;*/
        font-weight: bold;
    }

/* The side navigation menu */
.sidenav {
    height: 100%; /* 100% Full-height */
    width: 0; /* 0 width - change this with JavaScript */
    position: fixed; /* Stay in place */
    z-index: 1; /* Stay on top */
    top: 0; /* Stay at the top */
    left: 0;
    background-color: #111; /* Black*/
    overflow-x: hidden; /* Disable horizontal scroll */
    overflow-y: auto;
    padding-top: 60px; /* Place content 60px from the top */
    transition: 0.5s; /* 0.5 second transition effect to slide in the sidenav */
}

    /* The navigation menu links */
    .sidenav a {
        padding: 8px 8px 8px 32px;
        text-decoration: none;
        font-size: 2em;
        color: #818181;
        display: block;
        transition: 0.3s;
    }

        /* When you mouse over the navigation links, change their color */
        .sidenav a:hover {
            color: #f1f1f1;
        }

    /* Position and style the close button (top right corner) */
    .sidenav .closebtn {
        position: absolute;
        top: 0;
        right: 25px;
        font-size: 2.5em;
        margin-left: 50px;
    }

.visible {
    display: block !important;
}

.loading {
    position: absolute;
    top: 50%;
    left: 50%;
    background-color: none;
    color: blue;
    display: none;
    padding: 8px;
}

/* Style page content - use this if you want to push the page content to the right when you open the side navigation */
#main {
    transition: margin-left .5s;
    padding: 20px;
}

.panel-container {
    position: relative;
    width: 100%;
    height: 100%;
}

.panel-side {
    padding: 0px;
    box-sizing: border-box;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 30px;
    right: 0;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.6);
    overflow: auto;
    z-index: 60;
}

    .panel-side h3 {
        padding: 0 20px;
        margin: 20px 0;
    }

    .panel-side ul {
        list-style: none;
        margin: 0;
        padding: 0;
    }

    .panel-side li {
        list-style: none;
        padding: 10px 20px;
    }

.panel-result {
    cursor: pointer;
    margin: 2px 0;
    background-color: rgba(0, 0, 0, 0.3);
}

    .panel-result:hover,
    .panel-result:focus {
        color: orange;
        background-color: rgba(0, 0, 0, 0.75);
    }

.float-container {
    border: none;
}

    .float-container input {
        border: none;
        outline: 0;
        color: blue;
        margin-top: 4px;
        font-weight: 600;
    }

.esri_popup__notification {
    position: absolute;
    top: 0px;
    right: 0px;
    background-color: #008166;
    color: #FFF;
    margin: .5rem;
    padding: .5rem;
    border-radius: 2px;
}

    .esri_popup__notification.red {
        background-color: #e41018;
    }

    #keyTable {
        max-height: 300px;
        overflow-y: scroll;
        margin-bottom: .25em;
    }

#bufferOpts {
    display: none;
}

.options-panel {
    padding: .3em;
    background-color: white;
    position: absolute;
}

.options-header {
    height: 2em;
}

.options-header H4, SPAN {
    font-weight: 400;
    display: inline;
}

.options-header H4 {
    float: left;
    margin: 0;
}

.options-header SPAN {
    float: right;
    cursor: pointer;
}

.options-content {
    display: none;
}

#proximityDiv {
    width: 100%;
    display: block;
}

#proximitySlider {
    width: 100%;
}
